cURL
curl --request POST \
--url https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/apps \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"public": true,
"server": {
"name": "<string>",
"url": "<string>"
},
"authConfigs": [
{
"type": "<string>",
"data": {
"discoveryUrl": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": {}
}
}
],
"schemaId": "<string>",
"imageUrl": "<string>"
}
'import requests
url = "https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/apps"
payload = {
"name": "<string>",
"public": True,
"server": {
"name": "<string>",
"url": "<string>"
},
"authConfigs": [
{
"type": "<string>",
"data": {
"discoveryUrl": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": {}
}
}
],
"schemaId": "<string>",
"imageUrl": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
public: true,
server: {name: '<string>', url: '<string>'},
authConfigs: [
{
type: '<string>',
data: {
discoveryUrl: '<string>',
clientId: '<string>',
clientSecret: '<string>',
scopes: {}
}
}
],
schemaId: '<string>',
imageUrl: '<string>'
})
};
fetch('https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"orgId": "<string>",
"name": "<string>",
"public": true,
"server": {
"name": "<string>",
"url": "<string>"
},
"schemaMetadata": {
"type": "<string>",
"version": "<string>",
"url": "<string>"
},
"schema": {
"id": "<string>",
"type": "<string>",
"version": "<string>",
"sourceUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"supportedAuthConfigs": [
{
"type": "<string>",
"isValid": true,
"data": {
"discoveryUrl": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": {}
}
}
],
"imageUrl": "<string>",
"schemaId": "<string>",
"deletedAt": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"extensions": {}
}apps
Post organisations apps
Create a new App for the provided organisation
POST
/
organisations
/
{organisationId}
/
apps
cURL
Authorizations
Path Parameters
Body
application/json
Payload to create a new App.
Show child attributes
Show child attributes
AuthConfigs is a list of authentication standards which can be used to connect a user's account to this app. At least one auth type needs to be valid for the App to be used by a user.
Show child attributes
Show child attributes
The ID of the Schema instance.
Response
A single App result
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
SupportedAuthConfigs is a list of authentication standards which can be used to connect a user's account to this app. At least one auth type needs to be valid for the App to be used by a user.
Show child attributes
Show child attributes
⌘I